#ifndef __SELECTIONWINDOW_H
#define __SELECTIONWINDOW_H

#include <Window.h>

class TSelectionView;
class TSelectionWindow : public BWindow {
public:
	TSelectionWindow();
	virtual void Show();
	virtual void SetTarget(BLooper *looper);
	virtual void SetCommand(uint32 command);
	virtual bool QuitRequested();
	
private:	
	TSelectionView *fView;	
	BLooper *fTarget;
	uint32 fCommand;
};

#endif
