#ifndef __ADVANCEDOPTIONSVIEW_H
#define __ADVANCEDOPTIONSVIEW_H

#include <View.h>

class BCheckBox;
class BTextControl;
class TFineControl;
class TAdvancedOptionsView : public BView {
public:
	TAdvancedOptionsView(BRect rect);
	virtual void AttachedToWindow();
	
	uint32 FramesPerSecond() const;
	bool UseDirectWindow() const;

private:
	BCheckBox *fUseDirectWindow;
	
	BTextControl *fPlayingFPS,
		*fRecordFPS;
	BCheckBox *fOneToOneRatio;	
};

#endif
